Bug 1709410 - the dhcp-provisioning validation fails on RHEL8/Python3
Summary: the dhcp-provisioning validation fails on RHEL8/Python3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 15.0 (Stein)
Assignee: Gaël Chamoulaud
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1710324
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-13 14:28 UTC by Gaël Chamoulaud
Modified: 2019-09-26 10:50 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-validations-10.4.1-0.20190701170405.10b4d77.el8ost.noarch
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:21:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 659082 0 None None None 2019-05-14 14:44:55 UTC
OpenStack gerrit 660593 0 None None None 2019-05-22 08:00:05 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:22:17 UTC

Description Gaël Chamoulaud 2019-05-13 14:28:34 UTC
$ ansible-playbook -i /usr/bin/tripleo-ansible-inventory /usr/share/openstack-tripleo-validations/playbooks/dhcp-provisioning.yaml

Task 'dhcp-validations : Look for DHCP responses' failed:
Host: undercloud
Message: non-zero return code

stderr:
    Traceback (most recent call last):
      File "/tmp/ansible-stack/ansible-tmp-1557757332.7522008-146335328659481/rogue_dhcp.py", line 239, in <module>
        main()
      File "/tmp/ansible-stack/ansible-tmp-1557757332.7522008-146335328659481/rogue_dhcp.py", line 216, in main
        get_hw_addresses(interfaces)
      File "/tmp/ansible-stack/ansible-tmp-1557757332.7522008-146335328659481/rogue_dhcp.py", line 171, in get_hw_addresses
        struct.pack('256s', interface[:15]))
    struct.error: argument for 's' must be a bytes object

Failure! The validation failed for all hosts:
* undercloud

Comment 6 Gaël Chamoulaud 2019-07-10 09:09:37 UTC
(undercloud) [stack@undercloud-0 ~]$ rpm -qa | grep tripleo-validations
openstack-tripleo-validations-10.4.1-0.20190701170405.10b4d77.el8ost.noarch    <---- with 

THROUGH THE NEW TRIPLEO VALIDATOR COMMAND LINE:
===============================================
(undercloud) [stack@undercloud-0 ~]$ openstack tripleo validator run --validation-name dhcp-provisioning
Running single validations
Waiting for messages on queue 'tripleo' with no timeout.
[SUCCESS] - dhcp-provisioning
    Success! The validation passed for all hosts:
    * undercloud

Comment 10 errata-xmlrpc 2019-09-21 11:21:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.